Bug 867945 - Setting idle_delay key has no effect
Setting idle_delay key has no effect
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-screensaver (Show other bugs)
6.3
All Linux
high Severity high
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
:
Depends On:
Blocks: 835616 960054
  Show dependency treegraph
 
Reported: 2012-10-18 11:55 EDT by Jiri Koten
Modified: 2013-05-30 16:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-10 10:27:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Koten 2012-10-18 11:55:44 EDT
Description of problem:
The screensaver idle time can be changed from Screensaver Preferences but cannot be changed by setting corresponding gconf key idle_delay.

This is specifically problematic with System wide mandatory profile as a user can still change idle time on its own.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.28.3-18.el6

How reproducible:
100%

Steps to Reproduce:
1. $ gconftool-2 --type int --set /apps/gnome-screensaver/idle_delay 1
2. open Screensaver Preferences
  
Actual results:
Idle time is not changed to value set in idle_delay

Expected results:
Settings idle_delay key takes effect
Comment 1 RHEL Product and Program Management 2012-12-14 02:29:16 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 Chad Vaughn 2013-03-21 14:52:39 EDT
I agree with the original requester.  This inability to lock down the idle_delay setting is a major flaw.  We are required to lock this setting to meet government security requirements.  This is critical and must be fixed in the next release.
Comment 3 Chad Vaughn 2013-03-21 14:54:07 EDT
I can confirm that this still exists in the latest Redhat Enterprise 6.4 release.
Comment 4 Dave Muth 2013-04-13 13:40:00 EDT
The bug still exists. I agree that it's a big problem for U.S. federal government computers and fed contractors.
Comment 7 Mark Hale 2013-04-29 12:21:01 EDT
I had the same problem (w/RHEL 6.4)and it is a documentation issue. I finally downloaded the gnome-screensaver SRPM and examined the source code to resolve the issue:

[root@elocoslinsec src]# grep -i gnome_session_dir  gnome-screensaver-preferences.c
#define GNOME_SESSION_DIR   "/desktop/gnome/session"
#define KEY_ACTIVATE_DELAY  GNOME_SESSION_DIR "/idle_delay"
[root@elocoslinsec src]#

As you can see, the idle_delay variable is stored in /desktop/gnome/session, not /apps/gnome-screensaver. The correct command to restrict users to a 15 minute timeout before screen lock is:

# gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.mandatory --type int --set /desktop/gnome/session/idle_delay 15 

I have verified that this works. I believe all that needs to be done is to update the RHEL "Security Guide" with this information. Thanks.
Comment 8 Chad Vaughn 2013-05-01 09:55:32 EDT
Thanks Mark!  I confirm that the fix using /desktop/gnome/session as you listed above does lock the idle delay. Thanks for clarifying.
Comment 10 Ray Strode [halfline] 2013-05-10 10:27:40 EDT
sounds like this issue is resolved, so closing. Please reopen if there is further engineering attention required.

Note You need to log in before you can comment on or make changes to this bug.